Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Looking for to Integrate an ICal Feed in SharePoint Online which is Link Based || SharePoint Calendar #909

Closed
tejasthite opened this issue Jul 9, 2019 · 19 comments

Comments

@tejasthite
Copy link

commented Jul 9, 2019

I am looking for a way to integrate an ICal Calendar Feed in SharePoint Online Which will Keep Synchronizing with SharePoint using the ICal feed.

Originally the feed belongs from a Third Party Human Resource Software, Using this I am trying to keep the calendar synched with the updates for e.g. Holidays!

Can someone help me with how this could be achieved!

Thank you

@msftbot

This comment has been minimized.

Copy link

commented Jul 9, 2019

Thank you for reporting this issue. We will be triaging your incoming issue as soon as possible.

@msftbot msftbot bot added the Needs: Triage 🔍 label Jul 9, 2019

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 7, 2019

Please, can someone help with this? Thank you

@hugoabernier

This comment has been minimized.

Copy link
Contributor

commented Aug 7, 2019

@tejasthite the React Calendar Feed web part sample will retrieve iCal feeds and present them as if they were native events in SharePoint. However, it does not sync with local SharePoint content.

React Calendar Feed web part

If you want to sync content, I would suggest that you try using Flow instead and create a scheduled flow to regularly sync the content.

Let me know if you aren't familiar with Flow, I'd be happy to help.

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 7, 2019

Yes, I would need help with this, how can I get this accomplished? thank you

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 8, 2019

I tried the steps from the Readme.md File, I am getting the following errors || any help will be appreciated!

Thank you

C:\Users\tejast>npm install
npm WARN ajv-keywords@3.2.0 requires a peer of ajv@^6.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN gulp-karma@0.0.5 requires a peer of karma@>=0.10 <=0.13 but none is installed. You must install peer dependencies yourself.
npm WARN slick-carousel@1.8.1 requires a peer of jquery@>=1.8.0 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 (node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 8, 2019

Then When i try the npm audit fix - I get the Below || Please can someone help

Thank you

C:\Users\tejast>npm audit fix
npm WARN deprecated left-pad@1.3.0: use String.prototype.padStart()
npm WARN deprecated kleur@2.0.2: Please upgrade to kleur@3 or migrate to 'ansi-colors' if you prefer the old syntax. Visit https://github.com/lukeed/kleur/releases/tag/v3.0.0\ for migration path(s).
npm WARN deprecated browserslist@1.7.7: Browserslist 2 could fail on reading Browserslist >3.0 config used in other tools.
npm WARN deprecated flatten@1.0.2: I wrote this module a very long time ago; you should use something else.

deasync@0.1.15 install C:\Users\tejast\node_modules\deasync
node ./build.js

win32-x64-node-10 exists; testing
Binary is fine; exiting

core-js@2.6.9 postinstall C:\Users\tejast\node_modules\babel-register\node_modules\core-js
node scripts/postinstall || echo "ignore"

Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!

The project needs your help! Please consider supporting of core-js on Open Collective or Patreon:

https://opencollective.com/core-js
https://www.patreon.com/zloirock

Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)

core-js@2.6.9 postinstall C:\Users\tejast\node_modules\babel-runtime\node_modules\core-js
node scripts/postinstall || echo "ignore"

Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!

The project needs your help! Please consider supporting of core-js on Open Collective or Patreon:

https://opencollective.com/core-js
https://www.patreon.com/zloirock

Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)

npm WARN rollback Rolling back node-pre-gyp@0.12.0 failed (this is probably harmless): EPERM: operation not permitted, rmdir 'C:\Users\tejast\node_modules\fsevents\node_modules'
npm WARN slick-carousel@1.8.1 requires a peer of jquery@>=1.8.0 but none is installed. You must install peer dependencies yourself.
npm WARN @uifabric/utilities@6.41.6 requires a peer of @types/react-dom@>=16.3.0 <17.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN ajv-keywords@3.4.1 requires a peer of ajv@^6.9.1 but none is installed. You must install peer dependencies yourself.
npm WARN @uifabric/utilities@6.41.6 requires a peer of @types/react-dom@>=16.3.0 <17.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN @uifabric/utilities@6.41.6 requires a peer of @types/react-dom@>=16.3.0 <17.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN office-ui-fabric-react@6.199.0 requires a peer of @types/react-dom@>=16.3.0 <17.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN @uifabric/utilities@6.41.6 requires a peer of @types/react-dom@>=16.3.0 <17.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN @uifabric/utilities@6.41.6 requires a peer of @types/react-dom@>=16.3.0 <17.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN @uifabric/utilities@6.41.6 requires a peer of @types/react-dom@>=16.3.0 <17.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})

  • @microsoft/sp-build-web@1.8.2
  • @microsoft/sp-webpart-workbench@1.8.2
    added 313 packages from 120 contributors, removed 282 packages, updated 196 packages and moved 14 packages in 340.523s
    fixed 9448 of 11201 vulnerabilities in 682936 scanned packages
    1746 vulnerabilities required manual review and could not be updated
    1 package update for 7 vulns involved breaking changes
    (use npm audit fix --force to install breaking changes; or refer to npm audit for steps to fix these manually)
@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 9, 2019

@hugoabernier - i was successfully able to load the Web part and attach the URL for my iCal Calendar Feed but for some reason it keeps me saying - "Oops, something went wrong! We can't display your events at the moment. Please try again later."
Any help would be appreciated? Thank you

Webpart Not Pulling the Feed

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 16, 2019

@hugoabernier it would be great if you could help with this. Thank you!

@hugoabernier

This comment has been minimized.

Copy link
Contributor

commented Aug 17, 2019

@tejasthite do you mind sharing the iCal URL so that I can try to diagnose the issue?

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 17, 2019

@hugoabernier is there a way I could send you a Private Message with the Link? Thank you

@hugoabernier

This comment has been minimized.

Copy link
Contributor

commented Aug 17, 2019

Yes send me a direct message on my Twitter account

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 17, 2019

@hugoabernier dropped you the link on twitter, Thank you

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 18, 2019

@hugoabernier Thank you Very Much, I will give it a try and update.

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 19, 2019

@hugoabernier - I have been able to Pull the Events Now Thank you Very Much for your help, How do I now integrate this with My SharePoint Online Calendar?

@hugoabernier

This comment has been minimized.

Copy link
Contributor

commented Aug 19, 2019

That's great @tejasthite ! Do you have access to Flow? If so, may I suggest that you close this issue and we'll continue this one offline via Twitter DM? I'll come back later and update this issue with our resolution so that anyone else who needs this type of solution can benefit from it.

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 19, 2019

@hugoabernier - Yes I do have Flow. It would be always great to have the solution for the solution proposed with React Calendar Feed asap, I truly need this as well.

But at the same time if Flow is going faster right now then I am happy to implement that as well.
Thank you very much again. "let me how to proceed Further"?

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 20, 2019

@hugoabernier , Please could you update on the above? Thank you

@tejasthite

This comment has been minimized.

Copy link
Author

commented Aug 26, 2019

@hugoabernier, Thank you very much for the Time from Your End - and the Microsoft Flow, Excellent work with this. I appreciate all your help. Using Flow it works Perfect.

Thank you

@tejasthite tejasthite closed this Aug 26, 2019

@hugoabernier

This comment has been minimized.

Copy link
Contributor

commented Aug 26, 2019

@tejasthite I'm glad it worked out. If anyone is looking for the solution we used, we documented the approach in this blog post and provided the step-by-step instructions in this one

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.